> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hightouch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an audience size

> Get the state of an audience size job.



## OpenAPI

````yaml https://api.hightouch.io/api/swagger.json get /models/{modelId}/size/{jobId}
openapi: 3.0.0
info:
  title: Hightouch API
  version: 1.0.0
  description: Hightouch Public Rest API to access syncs, models, sources and destinations
  contact:
    name: Hightouch
    url: https://hightouch.com
servers:
  - url: https://api.hightouch.com/api/v1
security: []
paths:
  /models/{modelId}/size/{jobId}:
    get:
      summary: Get an audience size
      description: Get the state of an audience size job.
      operationId: GetAudienceSize
      parameters:
        - description: The id of the audience
          in: path
          name: modelId
          required: true
          schema:
            type: number
            format: double
        - description: The id returned when the size job was started
          in: path
          name: jobId
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/AudienceSizeJob'
                  - $ref: '#/components/schemas/ValidateErrorJSON'
                  - $ref: '#/components/schemas/InternalServerError'
                nullable: true
              examples:
                pending:
                  value:
                    jobId: 7e54c0ff-1710-454f-a25b-d44f8319fc3e
                    status: pending
                    size: null
                    evaluatedAt: null
                    error: null
                success:
                  value:
                    jobId: 7e54c0ff-1710-454f-a25b-d44f8319fc3e
                    status: success
                    size: 141421
                    evaluatedAt: '2026-09-09T12:00:00.000Z'
                    error: null
                failed:
                  value:
                    jobId: 7e54c0ff-1710-454f-a25b-d44f8319fc3e
                    status: failed
                    size: null
                    evaluatedAt: null
                    error: relation "analytics.users" does not exist
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '422':
          description: Validation Failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidateErrorJSON'
        '500':
          description: Something went wrong
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerError'
      security:
        - bearerAuth: []
components:
  schemas:
    AudienceSizeJob:
      description: The status of an audience size job.
      properties:
        jobId:
          type: string
        status:
          $ref: '#/components/schemas/AudienceSizeStatus'
          description: |-
            "pending": The job is running
            "success": The job is finished
            "failed": The job could not be completed
            "cancelled": The job was cancelled before it finished
        size:
          type: number
          format: double
          nullable: true
          description: The size of the audience. Set if `status` is "success".
        evaluatedAt:
          type: string
          format: date-time
          nullable: true
          description: The timestamp when the job finished. Set if `status` is "success".
        error:
          type: string
          nullable: true
          description: The reason the job failed. Set if `status` is "failed".
      required:
        - jobId
        - status
        - size
        - evaluatedAt
        - error
      type: object
      additionalProperties: false
    ValidateErrorJSON:
      properties:
        message:
          type: string
          enum:
            - Validation failed
          nullable: false
        details:
          properties: {}
          additionalProperties: {}
          type: object
      required:
        - message
        - details
      type: object
      additionalProperties: false
    InternalServerError:
      type: string
      enum:
        - Internal Server Error
      nullable: false
    AudienceSizeStatus:
      type: string
      enum:
        - pending
        - success
        - failed
        - cancelled
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Bearer

````